package com.seamew.lottery.domain.activity.model.aggregates;

import com.seamew.lottery.domain.activity.model.vo.ActivityVO;
import com.seamew.lottery.domain.activity.model.vo.AwardVO;
import com.seamew.lottery.domain.activity.model.vo.StrategyVO;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * @Author: seamew
 * @Title: ActivityConfigRich
 * @CreateTime: 2023年02月15日 20:35:00
 * @Description: 活动配置聚合信息
 * @Version: 1.0
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class ActivityConfigRich {

    /**
     * 活动配置
     */
    private ActivityVO activity;

    /**
     * 策略配置(含策略明细)
     */
    private StrategyVO strategy;

    /**
     * 奖品配置
     */
    private List<AwardVO> awardList;

}
