package com.seamew.lottery.domain.activity.model.req;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;

/**
 * @Author: seamew
 * @Title: PartakeReq
 * @CreateTime: 2023年02月22日 16:47:00
 * @Description: 参与活动请求
 * @Version: 1.0
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class PartakeReq {

    /**
     * 用户ID
     */
    private String uId;
    /**
     * 活动ID
     */
    private Long activityId;
    /**
     * 活动领取时间
     */
    private Date partakeDate;

    public PartakeReq(String uId, Long activityId) {
        this.uId = uId;
        this.activityId = activityId;
        this.partakeDate = new Date();
    }
}
