package com.seamew.lottery.domain.activity.service.deploy;

import com.seamew.lottery.domain.activity.model.req.ActivityConfigReq;
import com.seamew.lottery.domain.activity.model.vo.ActivityVO;

import java.util.List;

/**
 * @Author: seamew
 * @Title: IActivityDeploy
 * @CreateTime: 2023年02月15日 20:34:00
 * @Description: 部署活动配置接口
 * @Version: 1.0
 */
public interface IActivityDeploy {
    /**
     * 创建活动信息
     *
     * @param req 活动配置信息
     */
    void createActivity(ActivityConfigReq req);

    /**
     * 修改活动信息
     *
     * @param req 活动配置信息
     */
    void updateActivity(ActivityConfigReq req);

    /**
     * 扫描待处理的活动列表，状态为：通过、活动中
     * <p>
     * 通过 -> 时间符合时 -> 活动中
     * 活动中 -> 时间到期时 -> 关闭
     *
     * @param id ID
     * @return 待处理的活动集合
     */
    List<ActivityVO> scanToDoActivityList(Long id);
}
