package com.seamew.lottery.domain.award.service.goods;

import com.seamew.lottery.domain.award.model.req.GoodsReq;
import com.seamew.lottery.domain.award.model.res.DistributionRes;

/**
 * @Author: seamew
 * @Title: IDistributionGoods
 * @CreateTime: 2023年02月15日 10:27:00
 * @Description: 抽奖，抽象出配送货物接口，把各类奖品模拟成货物、配送代表着发货，包括虚拟奖品和实物奖品
 * @Version: 1.0
 */
public interface IDistributionGoods {
    /**
     * 奖品配送接口，奖品类型（1:文字描述、2:兑换码、3:优惠券、4:实物奖品）
     *
     * @param req   物品信息
     * @return      配送结果
     */
    DistributionRes doDistribution(GoodsReq req);

    /**
     * 获取配送的奖品名称
     *
     * @return 奖品对应的code
     */
    Integer getDistributionGoodsName();
}
