package com.seamew.lottery.domain.rule.service.logic;

import com.seamew.lottery.domain.rule.model.req.DecisionMatterReq;
import com.seamew.lottery.domain.rule.model.vo.TreeNodeLineVO;

import java.util.List;

/**
 * @Author: seamew
 * @Title: LogicFilter
 * @CreateTime: 2023年02月25日 16:39:00
 * @Description: 规则过滤器接口
 * @Version: 1.0
 */
public interface LogicFilter {
    /**
     * 逻辑决策器
     *
     * @param matterValue          决策值
     * @param treeNodeLineInfoList 决策节点
     * @return 下一个节点Id
     */
    Long filter(String matterValue, List<TreeNodeLineVO> treeNodeLineInfoList);

    /**
     * 获取决策值
     *
     * @param decisionMatter 决策物料
     * @return 决策值
     */
    String matterValue(DecisionMatterReq decisionMatter);
}
