package com.seamew.lottery.domain.strategy.model.aggregates;

import com.seamew.lottery.domain.strategy.model.vo.StrategyBriefVO;
import com.seamew.lottery.domain.strategy.model.vo.StrategyDetailBriefVO;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * @Author: seamew
 * @Title: StrategyRich
 * @CreateTime: 2023年02月13日 20:56:00
 * @Description: 抽奖策略聚合对象
 * @Version: 1.0
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class StrategyRich {

    /**
     * 策略ID
     */
    private Long strategyId;

    /**
     * 策略配置
     */
    private StrategyBriefVO strategy;

    /**
     * 策略明细
     */
    private List<StrategyDetailBriefVO> strategyDetailList;
}
