package com.seamew.lottery.domain.support.ids;

/**
 * @Author: seamew
 * @Title: IIdGenerator
 * @CreateTime: 2023年02月16日 10:06:00
 * @Description: 生成ID接口
 * @Version: 1.0
 */
public interface IIdGenerator {

    /**
     * 获取ID，目前有两种实现方式
     * 1. 雪花算法，用于生成单号
     * 2. 日期算法，用于生成活动编号类，特性是生成数字串较短，但指定时间内不能生成太多
     * 3. 随机算法，用于生成策略ID
     *
     * @return ID
     */
    long nextId();
}
