package com.seamew.lottery.infrastructure.dao;

import com.seamew.lottery.infrastructure.po.Award;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;
import java.util.Map;

/**
 * @Author: seamew
 * @Title: IAwardDao
 * @CreateTime: 2023年02月13日 21:03:00
 * @Description: 奖品信息表DAO
 * @Version: 1.0
 */
@Mapper
public interface IAwardDao {

    /**
     * 查询奖品信息
     *
     * @param awardId 奖品ID
     * @return        奖品信息
     */
    Award queryAwardInfo(String awardId);

    /**
     * 插入奖品配置
     *
     * @param list 奖品配置
     */
    void insertList(List<Award> list);

    /**
     * 根据策略查询奖品信息
     */
    List<Map<String, Object>> queryAwardList(Long strategyId);

}