package com.seamew.lottery.infrastructure.dao;

import com.seamew.lottery.infrastructure.po.RuleTreeNode;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * @Author: seamew
 * @Title: IRuleTreeNodeDao
 * @CreateTime: 2023年02月25日 17:20:00
 * @Description:
 * @Version: 1.0
 */
@Mapper
public interface IRuleTreeNodeDao {
    /**
     * 查询规则树节点
     *
     * @param treeId 规则树ID
     * @return 规则树节点集合
     */
    List<RuleTreeNode> queryRuleTreeNodeList(Long treeId);

    /**
     * 查询规则树节点数量
     *
     * @param treeId 规则树ID
     * @return 节点数量
     */
    int queryTreeNodeCount(Long treeId);

    /**
     * 查询规则树节点
     *
     * @param treeId 规则树ID
     * @return 节点集合
     */
    List<RuleTreeNode> queryTreeRulePoint(Long treeId);
}
