package com.seamew.lottery.infrastructure.dao;

import com.seamew.lottery.infrastructure.po.RuleTreeNodeLine;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * @Author: seamew
 * @Title: IRuleTreeNodeLineDao
 * @CreateTime: 2023年02月25日 17:20:00
 * @Description: 规则树节点连线DAO
 * @Version: 1.0
 */
@Mapper
public interface IRuleTreeNodeLineDao {
    /**
     * 查询规则树节点连线集合
     *
     * @param req 入参
     * @return 规则树节点连线集合
     */
    List<RuleTreeNodeLine> queryRuleTreeNodeLineList(RuleTreeNodeLine req);

    /**
     * 查询规则树连线数量
     *
     * @param treeId 规则树ID
     * @return 规则树连线数量
     */
    int queryTreeNodeLineCount(Long treeId);
}
