package com.seamew.lottery.infrastructure.dao;

import com.seamew.lottery.infrastructure.po.Strategy;
import org.apache.ibatis.annotations.Mapper;

/**
 * @Author: seamew
 * @Title: IStrategyDao
 * @CreateTime: 2023年02月13日 21:03:00
 * @Description: 策略表DAO
 * @Version: 1.0
 */
@Mapper
public interface IStrategyDao {

    /**
     * 查询策略配置
     *
     * @param strategyId 策略ID
     * @return           策略配置信息
     */
    Strategy queryStrategy(Long strategyId);

    /**
     * 插入策略配置
     *
     * @param req 策略配置
     */
    void insert(Strategy req);

}
