package com.seamew.lottery.infrastructure.dao;

import com.seamew.lottery.infrastructure.po.UserTakeActivityCount;
import com.seamew.middleware.db.router.annotation.DBRouter;
import org.apache.ibatis.annotations.Mapper;

/**
 * @Author: seamew
 * @Title: IUserTakeActivityCountDao
 * @CreateTime: 2023年02月22日 16:52:00
 * @Description: 用户活动参与次数表Dao
 * @Version: 1.0
 */
@Mapper
public interface IUserTakeActivityCountDao {

    /**
     * 查询用户领取次数信息
     * @param userTakeActivityCountReq 请求入参【活动号、用户ID】
     * @return 领取结果
     */
    @DBRouter
    UserTakeActivityCount queryUserTakeActivityCount(UserTakeActivityCount userTakeActivityCountReq);

    /**
     * 插入领取次数信息
     * @param userTakeActivityCount 请求入参
     */
    @DBRouter
    void insert(UserTakeActivityCount userTakeActivityCount);

    /**
     * 更新领取次数信息
     * @param userTakeActivityCount 请求入参
     * @return 更新数量
     */
    @DBRouter
    int updateLeftCount(UserTakeActivityCount userTakeActivityCount);

}