package com.seamew.lottery.infrastructure.po;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @Author: seamew
 * @Title: RuleTreeNode
 * @CreateTime: 2023年02月25日 17:18:00
 * @Description: 规则树节点
 * @Version: 1.0
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class RuleTreeNode {
    /**
     * 主键ID
     */
    private Long id;
    /**
     * 规则树ID
     */
    private Long treeId;
    /**
     * 节点类型；1 = 子叶、2 = 果实
     */
    private Integer nodeType;
    /**
     * 节点值[nodeType=2]；果实值
     */
    private String nodeValue;
    /**
     * 规则Key
     */
    private String ruleKey;
    /**
     * 规则描述
     */
    private String ruleDesc;

}
