package com.seamew.lottery.rpc;

import com.seamew.lottery.rpc.req.DrawReq;
import com.seamew.lottery.rpc.req.QuantificationDrawReq;
import com.seamew.lottery.rpc.res.DrawRes;

/**
 * @Author: seamew
 * @Title: ILotteryActivityBooth
 * @CreateTime: 2023年02月26日 17:36:00
 * @Description: 抽奖活动展台接口
 * @Version: 1.0
 */
public interface ILotteryActivityBooth {

    /**
     * 指定活动抽奖
     * @param drawReq 请求参数
     * @return        抽奖结果
     */
    DrawRes doDraw(DrawReq drawReq);

    /**
     * 量化人群抽奖
     * @param quantificationDrawReq 请求参数
     * @return                      抽奖结果
     */
    DrawRes doQuantificationDraw(QuantificationDrawReq quantificationDrawReq);

}

