package com.seamew.lottery.rpc.req;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.Map;

/**
 * @Author: seamew
 * @Title: QuantificationDrawReq
 * @CreateTime: 2023年02月26日 17:37:00
 * @Description: 量化人群抽奖请求参数
 * @Version: 1.0
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class QuantificationDrawReq implements Serializable {

    /**
     * 用户ID
     */
    private String uId;
    /**
     * 规则树ID
     */
    private Long treeId;
    /**
     * 决策值
     */
    private Map<String, Object> valMap;
}
